summaryrefslogtreecommitdiff
path: root/debian/preinst
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2008-01-03 21:36:13 -0500
committerJoey Hess <joey@kodama.kitenet.net>2008-01-03 21:36:13 -0500
commit00b7b8c2cb6979af84116abf731e7023aa526497 (patch)
treea07719caeee3db0a3a49b04ff5c4649504995ac7 /debian/preinst
parentef70e3d7e62671d0cadb2731e6965768f73ca290 (diff)
* Add gnarly conffile renaming code.
Diffstat (limited to 'debian/preinst')
-rw-r--r--debian/preinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..f4a086f
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Prepare to move a conffile without triggering a dpkg question
+prep_mv_conffile() {
+ CONFFILE="$1"
+
+ if [ -e "$CONFFILE" ]; then
+ md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
+ old_md5sum="`sed -n -e \"/^Conffiles:/,/^[^ ]/{\\\\' $CONFFILE'{s/.* //;p}}\" /var/lib/dpkg/status`"
+ if [ "$md5sum" = "$old_md5sum" ]; then
+ rm -f "$CONFFILE"
+ fi
+ fi
+}
+
+case "$1" in
+install|upgrade)
+ if dpkg --compare-versions "$2" le "0.7"; then
+ for c in README 50uncommitted-changes; do
+ prep_mv_conffile "/etc/etckeeper/pre-apt.d/$c"
+ done
+ for c in README 10git-test 30git-add 40git-rm 50git-commit; do
+ prep_mv_conffile "/etc/etckeeper/post-apt.d/$c"
+ done
+ fi
+esac